Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.servlet.jetty
Class JettyHttpConnector.MuleReceiverConnectorHolder

    java.lang.Object
      org.mule.transport.servlet.jetty.AbstractConnectorHolder<JettyReceiverServlet,JettyHttpMessageReceiver>
          org.mule.transport.servlet.jetty.JettyHttpConnector.MuleReceiverConnectorHolder

All Implemented Interfaces:
  ConnectorHolder<JettyReceiverServlet,JettyHttpMessageReceiver>

Enclosing class:
  JettyHttpConnector

    public class JettyHttpConnector.MuleReceiverConnectorHolder

extends AbstractConnectorHolder<JettyReceiverServlet,JettyHttpMessageReceiver>

Field Summary

Fields inherited from class org.mule.transport.servlet.jetty.AbstractConnectorHolder
`connector, logger, servlet, started`

Constructor Summary
`JettyHttpConnector.MuleReceiverConnectorHolder(org.mortbay.jetty.Connector connector, JettyReceiverServlet servlet, JettyHttpMessageReceiver receiver)`

Method Summary
`void` | `addReceiver(JettyHttpMessageReceiver receiver)`
`boolean` | `isReferenced()`
`void` | `removeReceiver(JettyHttpMessageReceiver receiver)`
`void` | `start()`
`void` | `stop()`

Methods inherited from class org.mule.transport.servlet.jetty.AbstractConnectorHolder
`getConnector, getServlet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JettyHttpConnector.MuleReceiverConnectorHolder

    public JettyHttpConnector.MuleReceiverConnectorHolder(org.mortbay.jetty.Connector connector,
                                                          JettyReceiverServlet servlet,
                                                          JettyHttpMessageReceiver receiver)

Method Detail

### isReferenced

    public boolean isReferenced()

### addReceiver

    public void addReceiver(JettyHttpMessageReceiver receiver)

### removeReceiver

    public void removeReceiver(JettyHttpMessageReceiver receiver)

### start

    public void start()
               throws MuleException

  Specified by:
    `start` in interface `ConnectorHolder<JettyReceiverServlet,JettyHttpMessageReceiver>`
  Overrides:
    `start` in class `AbstractConnectorHolder<JettyReceiverServlet,JettyHttpMessageReceiver>`
  Throws:
    `MuleException`

### stop

    public void stop()
              throws MuleException

  Specified by:
    `stop` in interface `ConnectorHolder<JettyReceiverServlet,JettyHttpMessageReceiver>`
  Overrides:
    `stop` in class `AbstractConnectorHolder<JettyReceiverServlet,JettyHttpMessageReceiver>`
  Throws:
    `MuleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.